<?php

namespace Comitium5\DesignerBundle\Model\Interfaces;

/**
 * Interface PublishDateInterface
 *
 * @author Oscar Jimenez <oscarjg19.developer@gmail.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces
 */
interface PublishDateInterface
{
    /**
     * @return mixed
     */
    public function getPublishedAt();

    /**
     * @param \DateTime|null $publishedAt
     *
     * @return mixed
     */
    public function setPublishedAt(\DateTime $publishedAt = null);

    /**
     * @return mixed
     */
    public function getUnPublishedAt();

    /**
     * @param \DateTime|null $publishedAt
     *
     * @return mixed
     */
    public function setUnPublishedAt(\DateTime $publishedAt = null);
}
